## Uses of Interface
com.ihr.xbrl.om.exLinks.XBRLAllowsDocumentation

- Packages that use XBRLAllowsDocumentation
  Package | Description
  --- | ---
  com.ihr.xbrl.om.exLinks | Provides the classes necessary to process, read and write XBRL Linkbases and XBRL Extended links.
  com.ihr.xbrl.pojo | Provides the classes necessary to access to the content of a DTS using POJO technology.

- - ### Uses of XBRLAllowsDocumentation in com.ihr.xbrl.om.exLinks

    Classes in com.ihr.xbrl.om.exLinks that implement XBRLAllowsDocumentation
    Modifier and Type | Class and Description
    --- | ---
    `class` | `CalculationLinkbase` The Class CalculationLinkbase.
    `class` | `DefinitionLinkbase` The Class DefinitionLinkbase.
    `class` | `FootnoteLinkbase` The Class FootnoteLinkbase.
    `class` | `FormulaLinkbase` The Class FormulaLinkbase.
    `class` | `GenericLinkbase` The Class GenericLinkbase.
    `class` | `LabelLinkbase` The Class LabelLinkbase.
    `class` | `OtherLinkbase` The OtherLinkbase object fits in linkbases that are out of the scope of written specifications but are right because they agree with the In previous versions of the API the Generic Linkbase was created for Generic and Other linkbase types.
    `class` | `PresentationLinkbase` The Class PresentationLinkbase.
    `class` | `ReferenceLinkbase` The Class ReferenceLinkbase.
    `class` | `VersionLinkbase` Deprecated. this is a very old class that is no longer used in the system. Versioning information is not going to be stored in a linkbase anymore
    `class` | `XBRLExtendedLink` The Class XBRLExtendedLink.
    `class` | `XBRLLinkbase` Provides the properties of the XBRL Linkbase information item The [Parent] property is the parent class XBRLDocument An XBRL Linkbase is just the container of documentation and extended links.

    Methods in com.ihr.xbrl.om.exLinks that return XBRLAllowsDocumentation
    Modifier and Type | Method and Description
    --- | ---
    `XBRLAllowsDocumentation` | XBRLDocumentation.`getParent()` Access to the [Parent] property.

    Methods in com.ihr.xbrl.om.exLinks with parameters of type XBRLAllowsDocumentation
    Modifier and Type | Method and Description
    --- | ---
    `void` | XBRLDocumentation.`setParent(XBRLAllowsDocumentation parent)` Sets the parent.

    Constructors in com.ihr.xbrl.om.exLinks with parameters of type XBRLAllowsDocumentation
    Constructor and Description
    `XBRLDocumentation(XBRLAllowsDocumentation parent)` Programatically creates a documentation object.
    `XBRLDocumentation(XBRLAllowsDocumentation parent, net.sf.saxon.s9api.XdmNode node)` Instantiates a new XBRL documentation.

  - ### Uses of XBRLAllowsDocumentation in com.ihr.xbrl.pojo

    Methods in com.ihr.xbrl.pojo with parameters of type XBRLAllowsDocumentation
    Modifier and Type | Method and Description
    --- | ---
    `XBRLHasDocumentation` | XBRLPojoGenerator.`generate(XBRLAllowsDocumentation parent)` Generate.
    `XBRLDocumentation` | XBRLRSGenerator.`generate(XBRLDocumentation docIn, XBRLAllowsDocumentation parent)` Generate.